Subject: My ordeal
From: Cindy Leuck <[email-masked]>
To: [email-masked]
Date: Tue, 3 Dec 2024 15:23:48 -0600

I purchased a set of end tables.  I ordered them through EBAY.  I have ordered from this site before and always been happy with it from beginning to end!  However, this time has been a nightmare!  I typed my new address along with the other details of my order.
Unfortunately, my old address was used based on my previous orders.  I called this company to see what had happened.  I was promptly told it wasn’t the fault of the site but rather, my fault and nothing could be done!   I called, texted and downloaded FedEx app…to no avail!…I called your company back and Jerson tried everything he could but again, no results for redirecting these end tables to Iowa, NOT California!  I have no way of contacting the couple who now owned my previous home!

I am so disappointed that your company could not right this wrong made by your company not ensuring the correct address!

Jerson was the only bright spot in this fiasco.

I guess nothing can be done now

Cindy
Sent from my iPhone